Gateways - Get Gateway
Get gateway by ID.
Permissions
The caller must have permissions for the gateway.
Required Delegated Scopes
Gateway.Read.All or Gateway.ReadWrite.All
Throttling limits
| Limit Type | Value |
|---|---|
| Unified Quota for Platform APIs | 500 calls/min |
| API limit | 50 calls/min |
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
GET https://api.fabric.microsoft.com/v1/gateways/{gatewayId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
gateway
|
path | True |
string (uuid) |
The ID of the gateway. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | Gateway: |
OK. The operation was successful. |
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Example
Sample request
GET https://api.fabric.microsoft.com/v1/gateways/8e41c4dd-a382-4937-9bf3-695ab881f7c2
Sample response
{
"id": "8e41c4dd-a382-4937-9bf3-695ab881f7c2",
"type": "OnPremises",
"displayName": "ContosoOnPremisesGateway",
"publicKey": {
"exponent": "AQGB",
"modulus": "od9b...90Jp1Q=="
},
"version": "3000.1.1",
"numberOfMemberGateways": 2,
"loadBalancingSetting": "DistributeEvenly",
"allowCloudConnectionRefresh": true,
"allowCustomConnectors": true
}
Definitions
| Name | Description |
|---|---|
|
Error |
A structured parameter providing additional machine-readable context about an error. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Gateway |
The type of the gateway. Additional gateway types may be added over time. |
|
Load |
The load balancing setting of the gateway cluster. Additional load balancing settings may be added over time. |
|
On |
|
|
On |
|
|
Public |
The public key of the on-premises gateway. |
|
Streaming |
A streaming virtual network gateway. |
|
Virtual |
The properties of a Virtual Network Azure resource |
|
Virtual |
ErrorParameter
A structured parameter providing additional machine-readable context about an error.
| Name | Type | Description |
|---|---|---|
| message |
string |
A human-readable description of the parameter's meaning. |
| name |
string |
The parameter identifier. |
| value |
string |
The parameter value. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
GatewayType
The type of the gateway. Additional gateway types may be added over time.
| Value | Description |
|---|---|
| OnPremises |
The on-premises gateway. |
| OnPremisesPersonal |
The on-premises gateway (personal mode). |
| VirtualNetwork |
The virtual network gateway. |
| StreamingVirtualNetwork |
The streaming virtual network gateway. |
LoadBalancingSetting
The load balancing setting of the gateway cluster. Additional load balancing settings may be added over time.
| Value | Description |
|---|---|
| Failover |
Requests will be sent to the first available gateway cluster member. |
| DistributeEvenly |
Requests will be distributed evenly among all enabled gateway cluster members. |
OnPremisesGateway
| Name | Type | Description |
|---|---|---|
| allowCloudConnectionRefresh |
boolean |
Whether to allow cloud connections to refresh through this on-premises gateway. True - Allow, False - Do not allow. |
| allowCustomConnectors |
boolean |
Whether to allow custom connectors to be used with this on-premises gateway. True - Allow, False - Do not allow. |
| displayName |
string |
The display name of the on-premises gateway. |
| id |
string (uuid) |
The object ID of the gateway. |
| loadBalancingSetting |
The load balancing setting of the on-premises gateway. |
|
| numberOfMemberGateways |
integer |
The number of gateway members in the on-premises gateway. |
| publicKey |
The public key of the primary gateway member. Used to encrypt the credentials for creating and updating connections. |
|
| type |
string:
On |
The type of the gateway. |
| version |
string |
The version of the installed primary gateway member. |
OnPremisesGatewayPersonal
| Name | Type | Description |
|---|---|---|
| id |
string (uuid) |
The object ID of the gateway. |
| publicKey |
The public key of the gateway. Used to encrypt the credentials for creating and updating connections. |
|
| type |
string:
On |
The type of the gateway. |
| version |
string |
The version of the gateway. |
PublicKey
The public key of the on-premises gateway.
| Name | Type | Description |
|---|---|---|
| exponent |
string |
The exponent of the public key. |
| modulus |
string |
The modulus of the public key. |
StreamingVirtualNetworkGateway
A streaming virtual network gateway.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The display name of the streaming virtual network gateway. |
| id |
string (uuid) |
The object ID of the gateway. |
| type |
string:
Streaming |
The type of the gateway. |
| virtualNetworkAzureResource |
The Azure virtual network resource. |
VirtualNetworkAzureResource
The properties of a Virtual Network Azure resource
| Name | Type | Description |
|---|---|---|
| resourceGroupName |
string |
The name of the resource group |
| subnetName |
string |
The name of the subnet |
| subscriptionId |
string (uuid) |
The subscription ID |
| virtualNetworkName |
string |
The name of the virtual network |
VirtualNetworkGateway
| Name | Type | Description |
|---|---|---|
| capacityId |
string (uuid) |
The object ID of the Fabric license capacity. |
| displayName |
string |
The display name of the virtual network gateway. |
| id |
string (uuid) |
The object ID of the gateway. |
| inactivityMinutesBeforeSleep |
integer |
The minutes of inactivity before the virtual network gateway goes into auto-sleep. |
| maxMemberGatewayCount |
integer |
The maximum number of member gateways. A number between 1 and 11. |
| minMemberGatewayCount |
integer |
The minimum number of member gateways. A number between 1 and 11. |
| numberOfMemberGateways |
integer |
The number of member gateways. A number between 1 and 11. |
| type |
string:
Virtual |
The type of the gateway. |
| virtualNetworkAzureResource |
The Azure virtual network resource. |